package com.anbo.swipegesture;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.GestureDetector;
import android.view.MotionEvent;

// https://www.youtube.com/watch?v=RD-MuyIXbOE
public class MainActivity extends Activity implements GestureDetector.OnGestureListener {
    private static final String TAG = "GESTURES";
    private GestureDetector gestureDetector;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        gestureDetector = new GestureDetector(this, this);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        return gestureDetector.onTouchEvent(event);
    }

    @Override
    public boolean onDown(MotionEvent e) {
        //Toast.makeText(this, "onDown", Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onDown");
        return false;
    }

    @Override
    public void onShowPress(MotionEvent e) {
        //Toast.makeText(this, "onShowPress", Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onShowPress");
    }

    @Override
    public boolean onSingleTapUp(MotionEvent e) {
        //Toast.makeText(this, "onSingleTapUp", Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onSingleTapUp");
        return true; // done
    }

    @Override
    public boolean onScroll(MotionEvent e1, MotionEvent e2, float distanceX, float distanceY) {
        //Toast.makeText(this, "onScroll", Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onScroll");
        return false;
    }

    @Override
    public void onLongPress(MotionEvent e) {
        //Toast.makeText(this, "onLongPress", Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onLongPress");
    }

    @Override
    public boolean onFling(MotionEvent e1, MotionEvent e2, float velocityX, float velocityY) {
        //Toast.makeText(this, "onFling", Toast.LENGTH_SHORT).show();
        Log.d(TAG, "onFling " + e1.toString() + "::::" + e2.toString());

        boolean leftSwipe = e1.getX() > e2.getX();
        Log.d(TAG, "onFling left: " + leftSwipe);
        if (leftSwipe) {
            Intent intent = new Intent(this, AnotherActivity.class);
            startActivity(intent);
        }
        return true; // done
    }
}
